---
title: MediaStream.id
slug: Web/API/MediaStream/id
tags:
  - MediaStream
  - Property
  - Read-only
  - Reference
  - Web
---
<p>{{APIRef("WebRTC")}}</p>

<p>The <code><strong>MediaStream.id()</strong></code> read-only property is a {{domxref("DOMString")}} containing 36 characters denoting a unique identifier (GUID) for the object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>id</em> = <em>mediaStream</em>.id;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js"><code class="language-html">var p = navigator.mediaDevices.getUserMedia({ audio: true, video: true });

p.then(function(stream) {
   console.log(stream.id);
})
</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Media Capture', '#dom-mediastream-id', 'MediaStream.id')}}</td>
			<td>{{Spec2('Media Capture')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStream.id")}}</p>

<h2 id="See_Also"><span>S</span>ee Also</h2>

<ul>
	<li>{{domxref("MediaStream")}}, the interface this property belongs to.</li>
</ul>
